Dated history
- An offer now has a plan, enabling lifecycle management when a consumer subscribes to an offer.
- Added the
user-terminatedcode forELIGIBILITY_DENIED. - Added support for the optional
billingIdentifierfield in requests. - Added additional fields.
Earlier version history
The source specifications do not record dates for the entries below. They are shown in the order recorded in each specification.Reseller to DVM — Entitlements
- Added
409 CONFLICTtoPOST /v1/entitlement/cancel/{entitlementId}. - Added
409 CONFLICTtoPOST /v1/entitlement/revoke/{entitlementId}.
- Added
dateAutoSuspendto create and patch entitlement methods. - Added
dateAutoSuspendto response objects when the parameter has a value.
- Added
ExternalEntitlementIdto create and patch requests. - Added
ExternalEntitlementIdto responses. - Added a GET call to
/v1/entitlementto retrieve entitlement information usingExternalEntitlementId.
- Added support for a
201 Createdresponse for Create Entitlement. - Added
serviceFlowto theextraInformation.sourceobject.
- Removed support for
ACTIVATION_statuses. - Extended
extraInformationto includecommunicationInformationandsourceobjects.
- Added
ResumedDateto the Entitlement object. The date is set when using the Resume Entitlement method.
Content provider to DVM — Entitlements
- Added
extraInformationtoPATCH /v1/entitlement/{merchantEntitlementId}and the response object. - Added
merchantExtensionDatato the response object. - Added
merchantBangoExtensionDatato the response object. - Added
customerIdandresellerIdto the response object. - Added
POST /v1/merchant/entitlement/reportto retrieve entitlements bybangoUserId.
- Added
financeDatatoPOST /v1/entitlement/activate/{merchantEntitlementId}. - Added
financeDatatoPATCH /v1/entitlement/{merchantEntitlementId}. - Added
financeDatatoPOST /v1/entitlement/terminate/{merchantEntitlementId}. - Added
financeDatato the response object.
DVM to content provider — Entitlements
- Removed
extensionDatafromPOST /v1/entitlement. - Removed
POST /v1/entitlement/suspend/{merchantEntitlementId}andPOST /v1/entitlement/resume/{merchantEntitlementId}. - Removed
merchantExtensionDatafrom the response object. - Added
bangoUserId,productId,offerId,customerId,merchantExtensionData, andextraInformationtoPOST /v1/entitlement/terminate/{merchantEntitlementId}. - Added
merchantExtensionDatato create, patch, terminate, and eligibility-check request objects. - Added
financeDatato create, patch, and terminate request objects. - Added
statusto create, patch, and terminate request objects. - Added
merchantBangoExtensionDatato the request object.
- Added
entitlementBenefitstoPATCH /v1/entitlement. - Added
extraInformationtoPATCH /v1/entitlement.
- Added
resellerIdtoPATCH /v1/entitlementandPOST /v1/entitlement/terminate/{merchantEntitlementId}.
- Added
extensionDatatoPATCH /v1/entitlement. - Added
offerIdandcustomerIdentifiertoPOST /v1/entitlement/checkeligibility. - Added support for a
201 Createdresponse forPOST /v1/entitlement.
DVM to reseller — Notifications
- Added the
METADATA_UPDATEvalue tonotificationReasonforPOST /. - Added the
TERMINATION_PENDINGvalue tonotificationReasonforPOST /. - Added
ACTIVE-ENDINGas astatus.

